package com.ifish.dto;

import java.math.BigDecimal;

/**
 * 商品信息DTO
 * @author Administrator
 *
 */
public class IfishGoodsDto {

	/**
	 * 商品ID
	 */
	private Integer goodsId;
	/**
	 * 店铺名称
	 */
	private String shopName;
	/**
	 * 商品名称
	 */
	private String goodsName;
	/**
	 * 是否是淘宝链接
	 */
	private Integer isTaobaoLink;
	/**
	 * 商品链接
	 */
	private String goodsLink;
	/**
	 * 商铺图片
	 */
	private String goodsPicture;
	/**
	 * 原价格
	 */
	private BigDecimal oriPrice;
	/**
	 * 优惠价格
	 */
	private BigDecimal prePrice;
	
	public IfishGoodsDto(Integer goodsId, String shopName, String goodsName, String goodsLink, BigDecimal oriPrice, BigDecimal prePrice) {
		this.goodsId = goodsId;
		this.shopName = shopName;
		this.goodsName = goodsName;
		this.goodsLink = goodsLink;
		this.oriPrice = oriPrice;
		this.prePrice = prePrice;
	}
	public Integer getGoodsId() {
		return goodsId;
	}
	public void setGoodsId(Integer goodsId) {
		this.goodsId = goodsId;
	}
	public String getGoodsName() {
		return goodsName;
	}
	public void setGoodsName(String goodsName) {
		this.goodsName = goodsName;
	}
	public String getGoodsLink() {
		return goodsLink;
	}
	public void setGoodsLink(String goodsLink) {
		this.goodsLink = goodsLink;
	}
	public String getGoodsPicture() {
		return goodsPicture;
	}
	public void setGoodsPicture(String goodsPicture) {
		this.goodsPicture = goodsPicture;
	}
	public BigDecimal getOriPrice() {
		return oriPrice;
	}
	public void setOriPrice(BigDecimal oriPrice) {
		this.oriPrice = oriPrice;
	}
	public BigDecimal getPrePrice() {
		return prePrice;
	}
	public void setPrePrice(BigDecimal prePrice) {
		this.prePrice = prePrice;
	}
	public String getShopName() {
		return shopName;
	}
	public void setShopName(String shopName) {
		this.shopName = shopName;
	}
	public Integer getIsTaobaoLink() {
		return isTaobaoLink;
	}
	public void setIsTaobaoLink(Integer isTaobaoLink) {
		this.isTaobaoLink = isTaobaoLink;
	}
	
}
